Bug 18547 - file locking problem / mail lost invisibly / mail corrupted
file locking problem / mail lost invisibly / mail corrupted
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
6.2
i586 Linux
high Severity high
: ---
: ---
Assigned To: 0
0
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-06 12:49 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 21:13:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-06 12:49:58 EDT
Dear RedHat,

i moved to RedHat linux on a pentium in april ....... almost immediately i
noticed that outgoing mail cc'd to myself was going missing ...... all the
logs swear blind that the messages were delivered as required ...........
except that they weren't ..... evidence of other incoming mail being lost
surfaces from time to time

i use the plain old vanilla 'mail' program ....... and i keep any undeleted
and unsaved messages in the spool file 

i have detected on a few occasions that outgoing mail has been lost too

there have been several occasions when an incoming message has arrived
twice (....... a whole lot better than not at all i freely admit)

recently colleagues have noticed similar problems with mail going missing

this morning i caught it in the act ....... the final crunch so to speak:

i opened mail as usual, and saw that an incoming message had been truncated
part way through a line ....... and the next message started right there
..... i.e. in column four of a line

clearly there is some fault in the mutual exclusion mechanism for access to
the mail spool ...... at least when the network and mixed architectures are
involved

as befits a mutual exclusion fault, it is intermittent and not easily
reproducible .... sigh

exactly where it is i have no idea ........ all i want is for plain vanilla
mail to work as advertised

regards,

richard.

----------------------------------------------------------------------------- 
 Dr. R.H.Banach,                       X             TEL: (+44) 161-275
5720 
 Department of Computer Science,       | \                    Internal:
5720 
 (Luddite mail users division)
 University of Manchester,          Pm |  \ P        FAX: (+44) 161-275
6236 
 Oxford Road,                          |  
\                                 
 Manchester,                           v    v       
http://www.cs.man.ac.uk 
 M13 9PL,                      Cat<----M---->B       homepage   
.../~banach 
 U.K.                               Fm    K       EMAIL:
banach@cs.man.ac.uk 
-----------------------------------------------------------------------------
Comment 1 Need Real Name 2000-10-17 09:21:11 EDT
following the total collapse of the email system in the department, and the
subsequent adoption of a different file locking strategy by the system
management team, the anomalous behaviour of email in the department seems to
have vanished (thankfully)

this bug is therefore withdrawn

richard.

Note You need to log in before you can comment on or make changes to this bug.